(function ($) {
    Drupal.behaviors.sonr_api = {
        attach: function (context) {

            // check if the individual sOnr webMining configuration is available
            $("div.sonr-webmining-led").each(function() {
                var $this = $(this);
                var url = Drupal.settings.basePath + "admin/config/services/sonr_webmining/" + $this.attr('data-id') + "/available";
                $.get(url, function (data) {
                    if (data == 1) {
                        var led = 'led-green';
                        var title = Drupal.t('Service available');
                    }
                    else {
                        var led = 'led-red';
                        var title = Drupal.t('Service NOT available');
                    }
                    $this.addClass(led);
                    $this.attr('title', title);
                });
            });

            // Show/Hide additional fields if a checkbox is enabled/disabled
            $("#sonr-webmining-configuration-set-form").bind('state:visible', function(e) {
                if(e.trigger) {
                    $(e.target).closest('.form-item, .form-submit, .form-wrapper')[e.value ? 'slideDown' : 'slideUp']();
                    e.stopPropagation();
                }
            });

        }
    };
})(jQuery);
